package Libconf::GUI::Gtk2::Combo;

use ugtk2 qw(:helpers :wrappers :create);

our @ISA = qw(Gtk2::Combo);

sub new {
    my ($class, $default, $ref_value, $data_mapping, @widget_options) = @_;
    my $self = $class->SUPER::new(@widget_options);
    $self->{default_value} = $default;
    $self->{data_mapping} = $data_mapping;
    $self->{ref_value} = $ref_value;
    bless $self, $class;
    gtksignal_connect($self->entry, changed => sub {
                          my ($widget) = @_;
                          my $value = $widget->get_text();
                          print " setting : -- " . $value . "\n";
                          $self->set_value($value);
                          print " getvalue : -- " . $self->get_value() . "\n";
                      });
    return $self;
}

sub set_default {
    my ($self) = @_;
    my $default_value = $self->{'default_value'};
    $self->entry->set_text($default_value);
    $self->{'value'} = $default_value;
}

sub set_value {
    my ($self, $value) = @_;
    $self->{value} = $value;
    ${$self->{ref_value}} = $value;
    $self->entry->set_text($value);
}

sub get_value {
    my ($self) = @_;
    my $value = $self->{value};
    $value;
}

1;

